
QGIS Application - Bug report #1282

"Update all" in "Legend items" broken

2008-09-04 08:54 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11342

Description

1. add 2 layers (any kind)

2. start print composer, add a map

3. add a legend, remove one of the layers from the "Legend items" list

4. press "Update all" in "Legend items" - the layer you removed in step 3. pops up back in the legend itself (corrupted - without a symbol),

but not in the "Legend items".

History

#1 - 2008-09-07 03:22 AM - Marco Hugentobler

Seems to work for me. The layer poping back is intended behaviour, because 'update all' means to re-read the whole composer legend settings.

When I tried it, the symbol was correct. Just the layer was not unfoldet. Could you make sure the symbol is really missing for you?

#2 - 2008-09-07 06:46 AM - Maciej Sieczka -

Replying to [comment:1 mhugent]:

Seems to work for me. The layer poping back is intended behaviour, because 'update all' means to re-read the whole composer legend settings.

When I tried it, the symbol was correct. Just the layer was not unfoldet. Could you make sure the symbol is really missing for you?

The bug is that if you remove a layer from "Legend items" and press "Update all" in "Legend items", the legend itself is updated OK, *but there is a missing

layer in the "Legend items".

See the attached screendump - on the legend itself there are 2 layers - OK. But in the "Legend items" dialog there is only 1 of them - the 'wromap_A' is

missing. Is this clear to you now?

(FTR, the missing symbol issue is no longer present.)

#3 - 2008-09-07 07:36 AM - Marco Hugentobler

Ok, It is now clear to me what you mean. Unfortunately, on my system both layer are shown in the legend and in the layer items after pressing 'update all'.

Strange.

2025-12-15 1/2



#4 - 2008-09-07 07:48 AM - Maciej Sieczka -

Replying to [comment:3 mhugent]:

Ok, It is now clear to me what you mean. Unfortunately, on my system both layer are shown in the legend and in the layer items after pressing

'update all'. Strange.

I see. One more thing I noticed: saving the project and reloading it corrects the problem.

Maybe it's about particular data? I'm attaching 2 shapefiles and a project with map composition ready to try to reproduce the problem.

#5 - 2008-09-07 07:50 AM - Maciej Sieczka -

The file is to big fro Trac. You can fetch it from here: http://www.sieczka.org/tmp/wromap.zip

#6 - 2008-09-09 01:44 AM - Marco Hugentobler

Still works for me with the attached data. I tried with both Qt-4.3.4 and Qt-4.4.1

#7 - 2008-09-09 05:32 AM - Maciej Sieczka -

Replying to [comment:6 mhugent]:

Still works for me with the attached data. I tried with both Qt-4.3.4 and Qt-4.4.1

Shoot. Maybe a QT issue? I'm using stock 4.4.0 on Debian testing amd64. Will try against self-built 4.4.1 after Friday.

#8 - 2008-09-09 05:45 AM - Maciej Sieczka -

Can you maybe try with 4.4.0 in the meantime?

#9 - 2009-04-20 06:01 AM - Paolo Cavallini

Is this still valid? If not, please close it.

#10 - 2009-06-22 11:37 PM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed

Reopen it if necessary

Files

missing_layer.png 29 KB 2008-09-07 Maciej Sieczka -
